Module org.jfree.chart3d
Package org.jfree.chart3d.legend

# Class StandardLegendItemInfo

java.lang.Object
org.jfree.chart3d.legend.StandardLegendItemInfo

All Implemented Interfaces:
  `LegendItemInfo`

public class StandardLegendItemInfo extends Object implements LegendItemInfo
A standard implementation of the `LegendItemInfo` interface.

## Constructor Summary

Constructors
Constructor
Description
`StandardLegendItemInfo(Comparable<?> seriesKey, String label, Color color)`
Creates a new instance.
`StandardLegendItemInfo(Comparable<?> seriesKey, String label, String description, Color color, Shape shape)`
Creates a new instance with the specified attributes.

## Method Summary

Modifier and Type
Method
Description
`Color`
`getColor()`
Returns the color for the legend item.
`String`
`getDescription()`
Returns the description for the legend item.
`String`
`getLabel()`
Returns the label for the legend item.
`Map<Comparable<?>,Object>`
`getProperties()`
Returns the properties for the legend item.
`Comparable<?>`
`getSeriesKey()`
Returns the series key.
`Shape`
`getShape()`
Returns the shape for the legend item.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### StandardLegendItemInfo

public StandardLegendItemInfo(Comparable<?> seriesKey, String label, Color color)
Creates a new instance.

Parameters:
  `seriesKey` - the series key (`null` not permitted).
  `label` - the label (`null` not permitted).
  `color` - the color (`null` not permitted).

### StandardLegendItemInfo

public StandardLegendItemInfo(Comparable<?> seriesKey, String label, String description, Color color, Shape shape)
Creates a new instance with the specified attributes.

Parameters:
  `seriesKey` - the series key (`null` not permitted).
  `label` - the label (`null` not permitted).
  `description` - the description (`null` permitted).
  `color` - the color (`null` not permitted).
  `shape` - the shape (`null` permitted).

## Method Details

### getSeriesKey

public Comparable<?> getSeriesKey()
Returns the series key.

Specified by:
  `getSeriesKey` in interface `LegendItemInfo`
Returns:
  The series key (never `null`).

### getLabel

public String getLabel()
Returns the label for the legend item.

Specified by:
  `getLabel` in interface `LegendItemInfo`
Returns:
  The label (never `null`).

### getDescription

public String getDescription()
Returns the description for the legend item.

Specified by:
  `getDescription` in interface `LegendItemInfo`
Returns:
  The description (possibly `null`).

### getShape

public Shape getShape()
Returns the shape for the legend item.

Specified by:
  `getShape` in interface `LegendItemInfo`
Returns:
  The shape (possibly `null`).

### getColor

public Color getColor()
Returns the color for the legend item.

Specified by:
  `getColor` in interface `LegendItemInfo`
Returns:
  The color (never `null`).

### getProperties

public Map<Comparable<?>,Object> getProperties()
Returns the properties for the legend item.

Specified by:
  `getProperties` in interface `LegendItemInfo`
Returns:
  The properties for the legend item.